# Sto

Represents a Security Token Offering in the Polymesh blockchain

## Hierarchy

* [Entity](/polymesh-sdk-api-reference/docs-v4/classes/entity.md)‹UniqueIdentifiers›

  ↳ **Sto**

## Index

### Properties

* [close](/polymesh-sdk-api-reference/docs-v4/classes/sto.md#close)
* [context](/polymesh-sdk-api-reference/docs-v4/classes/sto.md#protected-context)
* [freeze](/polymesh-sdk-api-reference/docs-v4/classes/sto.md#freeze)
* [id](/polymesh-sdk-api-reference/docs-v4/classes/sto.md#id)
* [modifyTimes](/polymesh-sdk-api-reference/docs-v4/classes/sto.md#modifytimes)
* [ticker](/polymesh-sdk-api-reference/docs-v4/classes/sto.md#ticker)
* [unfreeze](/polymesh-sdk-api-reference/docs-v4/classes/sto.md#unfreeze)
* [uuid](/polymesh-sdk-api-reference/docs-v4/classes/sto.md#uuid)

### Methods

* [details](/polymesh-sdk-api-reference/docs-v4/classes/sto.md#details)
* [getInvestments](/polymesh-sdk-api-reference/docs-v4/classes/sto.md#getinvestments)
* [generateUuid](/polymesh-sdk-api-reference/docs-v4/classes/sto.md#static-generateuuid)
* [unserialize](/polymesh-sdk-api-reference/docs-v4/classes/sto.md#static-unserialize)

## Properties

### close

• **close**: *ProcedureMethod‹void, void›*

*Defined in* [*src/api/entities/Sto/index.ts:128*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Sto/index.ts#L128)

Close the STO

### `Protected` context

• **context**: [*Context*](/polymesh-sdk-api-reference/docs-v4/classes/context.md)

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/docs-v4/classes/entity.md)*.*[*context*](/polymesh-sdk-api-reference/docs-v4/classes/entity.md#protected-context)

*Defined in* [*src/api/entities/Entity.ts:48*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Entity.ts#L48)

### freeze

• **freeze**: *ProcedureMethod‹void,* [*Sto*](/polymesh-sdk-api-reference/docs-v4/classes/sto.md)*›*

*Defined in* [*src/api/entities/Sto/index.ts:136*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Sto/index.ts#L136)

Freeze the STO

**`note`** required role:

* Security Token Primary Issuance Agent

### id

• **id**: *BigNumber*

*Defined in* [*src/api/entities/Sto/index.ts:46*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Sto/index.ts#L46)

identifier number of the Offering

### modifyTimes

• **modifyTimes**: *ProcedureMethod‹*[*ModifyStoTimesParams*](/polymesh-sdk-api-reference/docs-v4/globals.md#modifystotimesparams)*, void›*

*Defined in* [*src/api/entities/Sto/index.ts:160*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Sto/index.ts#L160)

Modify the start/end time of the STO

**`param`** new start time (optional, will be left the same if not passed)

**`param`** new end time (optional, will be left th same if not passed). A null value means the STO doesn't end

**`throws`** if:

* Trying to modify the start time on an STO that already started
* Trying to modify anything on an STO that already ended
* Trying to change start or end time to a past date

**`note`** required role:

* Security Token Primary Issuance Agent

### ticker

• **ticker**: *string*

*Defined in* [*src/api/entities/Sto/index.ts:51*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Sto/index.ts#L51)

ticker of the Security Token being offered

### unfreeze

• **unfreeze**: *ProcedureMethod‹void,* [*Sto*](/polymesh-sdk-api-reference/docs-v4/classes/sto.md)*›*

*Defined in* [*src/api/entities/Sto/index.ts:144*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Sto/index.ts#L144)

Unfreeze the STO

**`note`** required role:

* Security Token Primary Issuance Agent

### uuid

• **uuid**: *string*

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/docs-v4/classes/entity.md)*.*[*uuid*](/polymesh-sdk-api-reference/docs-v4/classes/entity.md#uuid)

*Defined in* [*src/api/entities/Entity.ts:46*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Entity.ts#L46)

## Methods

### details

▸ **details**(): *Promise‹*[*StoDetails*](/polymesh-sdk-api-reference/docs-v4/interfaces/stodetails.md)*›*

*Defined in* [*src/api/entities/Sto/index.ts:84*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Sto/index.ts#L84)

Retrieve the STO's details

**`note`** can be subscribed to

**Returns:** *Promise‹*[*StoDetails*](/polymesh-sdk-api-reference/docs-v4/interfaces/stodetails.md)*›*

▸ **details**(`callback`: [SubCallback](/polymesh-sdk-api-reference/docs-v4/globals.md#subcallback)‹[StoDetails](/polymesh-sdk-api-reference/docs-v4/interfaces/stodetails.md)›): *Promise‹*[*UnsubCallback*](/polymesh-sdk-api-reference/docs-v4/globals.md#unsubcallback)*›*

*Defined in* [*src/api/entities/Sto/index.ts:85*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Sto/index.ts#L85)

**Parameters:**

| Name       | Type                                                                                                                                                  |
| ---------- | ----------------------------------------------------------------------------------------------------------------------------------------------------- |
| `callback` | [SubCallback](/polymesh-sdk-api-reference/docs-v4/globals.md#subcallback)‹[StoDetails](/polymesh-sdk-api-reference/docs-v4/interfaces/stodetails.md)› |

**Returns:** *Promise‹*[*UnsubCallback*](/polymesh-sdk-api-reference/docs-v4/globals.md#unsubcallback)*›*

### getInvestments

▸ **getInvestments**(`opts`: object): *Promise‹*[*ResultSet*](/polymesh-sdk-api-reference/docs-v4/interfaces/resultset.md)*‹*[*Investment*](/polymesh-sdk-api-reference/docs-v4/interfaces/investment.md)*››*

*Defined in* [*src/api/entities/Sto/index.ts:171*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Sto/index.ts#L171)

Retrieve all investments made on this STO

**`note`** supports pagination

**`note`** uses the middleware

**Parameters:**

▪`Default value` **opts**: *object*= {}

| Name     | Type                | Description |
| -------- | ------------------- | ----------- |
| `size?`  | undefined \| number | page size   |
| `start?` | undefined \| number | page offset |

**Returns:** *Promise‹*[*ResultSet*](/polymesh-sdk-api-reference/docs-v4/interfaces/resultset.md)*‹*[*Investment*](/polymesh-sdk-api-reference/docs-v4/interfaces/investment.md)*››*

### `Static` generateUuid

▸ **generateUuid**‹**Identifiers**›(`identifiers`: Identifiers): *string*

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/docs-v4/classes/entity.md)*.*[*generateUuid*](/polymesh-sdk-api-reference/docs-v4/classes/entity.md#static-generateuuid)

*Defined in* [*src/api/entities/Entity.ts:14*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Entity.ts#L14)

Generate the Entity's UUID from its identifying properties

**Type parameters:**

▪ **Identifiers**: *object*

**Parameters:**

| Name          | Type        | Description |
| ------------- | ----------- | ----------- |
| `identifiers` | Identifiers |             |

**Returns:** *string*

### `Static` unserialize

▸ **unserialize**‹**Identifiers**›(`serialized`: string): *Identifiers*

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/docs-v4/classes/entity.md)*.*[*unserialize*](/polymesh-sdk-api-reference/docs-v4/classes/entity.md#static-unserialize)

*Defined in* [*src/api/entities/Entity.ts:23*](https://github.com/PolymathNetwork/polymesh-sdk/blob/a0872cf4/src/api/entities/Entity.ts#L23)

Unserialize a UUID into its Unique Identifiers

**Type parameters:**

▪ **Identifiers**: *object*

**Parameters:**

| Name         | Type   | Description         |
| ------------ | ------ | ------------------- |
| `serialized` | string | UUID to unserialize |

**Returns:** *Identifiers*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-v4/classes/sto.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
